Bug 1006980 - [amqp1.0] consumer subscribed to xml exchange using xquery-filter do not get messages sent by amqp1.0 publisher
[amqp1.0] consumer subscribed to xml exchange using xquery-filter do not get ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity high
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-09-11 11:52 EDT by Petr Matousek
Modified: 2015-01-21 07:54 EST (History)
3 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:54:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5131 None None None Never

  None (edit)
Description Petr Matousek 2013-09-11 11:52:27 EDT
Description of problem:

When a amqp1.0 consumer is subscribed to an xml exchange using xquery-filter and a matching message is published to that exchange using amqp1.0 producer, the message is not delivered to the consumer.

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-13.el6

How reproducible:
100%

Steps to Reproduce:
1. declare exchange of type xml
# qpid-config add exchange xml xml
2. subscribe to the xml exchange using xquery-filter
# ./drain -f --connection-options "{protocol: 'amqp1.0'}" "xml;{link:{filter:{value:\"colour='red'\",name:'name',descriptor:'apache.org:xquery-filter:string'}}}"
3. send a message matching the filter using 1.0 publisher
# ./spout --connection-options "{protocol: 'amqp1.0'}" --content '<colour>'red'</colour>' xml
4. message was not received by the consumer

Note: message sent by amqp0-10 publisher is delivered as expected
(ie: 3. ./spout --content '<colour>'red'</colour>' xml)

Please see additional info for more details.

Actual results:
When a amqp1.0 consumer is subscribed to an xml exchange using xquery-filter and a matching message is published to that exchange using amqp1.0 producer, the message is not delivered to the consumer.

Expected results:
All the messages matching the filter are delivered to the consumer

Additional info:
Comment 1 Gordon Sim 2013-09-11 12:43:15 EDT
Fixed upstream: https://svn.apache.org/r1521926
Comment 2 Petr Matousek 2013-10-25 11:15:20 EDT
This issue has been fixed. Verified on rhel6.4 (i386, x86_64).

packages used for testing:
qpid-cpp-*-0.22-22.el6

Note You need to log in before you can comment on or make changes to this bug.